#ifndef LEGACYAPP_H
#define LEGACYAPP_H

#include <QObject>
#include <QSettings>
#include <QApplication>

#include <queue>

#include "mainwindow.h"
#include <LotroDat/LotroDat.h>

class MainWindow;
class NetworkDownloader;

class LegacyApp : public QObject
{
    Q_OBJECT

public:
    explicit LegacyApp(QObject *parent = nullptr);

    void Init();

private:
    void StartDatFilesInitialisation();

signals:

private slots:
    void DownloadFinished();


public:
    MainWindow window;

    LOTRO_DAT::DatFile client_local_dat;
    std::queue<QString> patch_databases_queue;
    bool client_local_dat_busy;

    QSettings properties;

    NetworkDownloader* dowloader;
    std::queue<std::pair<QString, QString>> download_queue;
};

#endif // LEGACYAPP_H
